summaryrefslogtreecommitdiff
path: root/test/scripts/light-system-test-run-4.sh
diff options
context:
space:
mode:
authorMagnus Ahltorp <map@kth.se>2016-10-05 10:06:16 +0200
committerMagnus Ahltorp <map@kth.se>2016-10-05 10:08:43 +0200
commit1d902cd5813a2df252b6976bdcdc9cd7531590b4 (patch)
treecef355f80032c5e15893a5d96c52728d9b71b7d8 /test/scripts/light-system-test-run-4.sh
parent49b40a0170b80b204746ab3bc42a73c5c60bcf0c (diff)
Move tests to shell scripts
Diffstat (limited to 'test/scripts/light-system-test-run-4.sh')
-rwxr-xr-xtest/scripts/light-system-test-run-4.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/scripts/light-system-test-run-4.sh b/test/scripts/light-system-test-run-4.sh
new file mode 100755
index 0000000..e2c9c3a
--- /dev/null
+++ b/test/scripts/light-system-test-run-4.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -o nounset
+set -o errexit
+
+SOFTHSM=/usr/local/bin/softhsm2-util
+INSTDIR=../catlfish
+PREFIX=..
+
+. test.shvars
+
+cd ${INSTDIR} && ../tools/merge --config ../test/catlfish-test.cfg --localconfig ../test/catlfish-test-local-merge.cfg || (echo "Merge failed" ; false)
+cd ${INSTDIR}/tests && ../../tools/check-sth.py ${BASEURL} --publickey=keys/logkey.pem --cur-sth=stored-sth --cafile httpsca/demoCA/cacert.pem